### Rôle Stork Agent
***
Rôle Stork Agent: Configuration de l'agent Stork pour surveiller les serveurs Kea en haute disponibilité.

## Table des matières
1. [Que fait le rôle Stork Agent ?](#que-fait-le-rôle-stork-agent)
2. [Installation et configuration de Stork Agent](#installation-et-configuration-de-stork-agent)
3. [Remarques](#remarques)

---

## Que fait le rôle Stork Agent ?
Stork Agent est utilisé pour surveiller et collecter des données en temps réel sur les serveurs DHCP Kea, fournissant des informations détaillées sur les baux, les performances et les erreurs. Ces données sont ensuite transmises à un serveur Stork, permettant une gestion et une visualisation simplifiées de l'infrastructure DHCP via une interface web.

- **s-kea1** et **s-kea2** : Les agents Stork sur ces serveurs KEA seront configurés pour écouter sur le port 8080, qui est le port par défaut.
- **s-backup** : Le serveur Stork sera utilisé pour surveiller l'état des serveurs Kea et gérer les alertes.

---

## Installation et configuration de Stork Agent

### Étapes du rôle
1. **Installation de isc-stork-agent** :
   - Le rôle installe le paquet **isc-stork-agent**.

2. **Configuration de l'agent Stork** :
   - Le fichier `agent.env` est configuré pour chaque serveur Kea en fonction de son adresse IP `{{ kea_ctrl_address_this }}`.
   - Les paramètres suivants sont configurés :
     - `STORK_AGENT_HOST` : Adresse IP du serveur Kea.
     - `STORK_AGENT_SERVER_URL` : URL du serveur Stork central (`http://s-backup.gsb.lan:8080/`).
     - `STORK_AGENT_LISTEN_STORK_ONLY` : Activé pour écouter uniquement les commandes du serveur Stork.
     - `STORK_LOG_LEVEL` : Défini sur `DEBUG` pour un suivi détaillé des logs.

3. **Démarrage et activation du service** :
   - Le service **stork-agent** est démarré et activé pour s'exécuter au démarrage du système.

4. **Vérification de la connexion au serveur Stork** :
   - Le rôle vérifie que l'agent Stork est correctement enregistré sur le serveur Stork central.

---

## Remarques
- **Attention** : Configurez le serveur Stork, s-backup avant de configurer les serveurs KEA.
- **Redémarrage du service** : Après l'exécution du playbook, redémarrez le service **isc-stork-agent.service** pour appliquer les modifications de configuration :
  ```bash
  systemctl restart isc-stork-agent.service