### Rôle Stork Server
***
Rôle Stork Server: Configuration du serveur Stork pour surveiller les serveurs Kea en haute disponibilité et gérer la base de données PostgreSQL.

## Table des matières
1. [Que fait le rôle Stork Server ?](#que-fait-le-rôle-stork-server)
2. [Installation et configuration de Stork Server](#installation-et-configuration-de-stork-server)
3. [Remarques](#remarques)

---

## Que fait le rôle Stork Server ?
Le rôle Stork Server permet de configurer le serveur Stork (**isc-stork-server**) et la base de données PostgreSQL nécessaire pour surveiller les serveurs Kea en haute disponibilité.

- **s-kea1** et **s-kea2** : Le serveur Stork surveille ces deux serveurs Kea pour s'assurer qu'ils fonctionnent correctement et gère les bascules en cas de défaillance.
- **PostgreSQL** : Une base de données est configurée pour stocker les données de surveillance et de configuration du serveur Stork.
- **s-backup** : Le serveur Stork central est configuré pour écouter les connexions des agents Stork et gérer les alertes.

---

## Installation et configuration de Stork Server

### Étapes du rôle
1. **Installation des paquets nécessaires** :
   - Installe les paquets **isc-stork-server**, **postgresql**, et **postgresql-contrib** pour le serveur Stork et la base de données PostgreSQL.

2. **Lancement et activation de PostgreSQL** :
   - Redémarre et active le service PostgreSQL pour s'assurer qu'il est opérationnel.

3. **Création de la base de données Stork** :
   - Crée la base de données Stork avec les paramètres spécifiés (`{{ stork_db_name }}`, `{{ stork_db_user }}`, `{{ stork_db_passwd }}`).

4. **Génération du fichier de configuration `server.env`** :
   - Génère le fichier de configuration `server.env` à partir de (`server.env.j2`).

5. **Redémarrage du service Stork Server** :
   - Redémarre le service **isc-stork-server.service** pour appliquer les modifications de configuration.

---

## Remarques
- **Attention** : Configurez le serveur Stork, s-backup avant de configurer les serveurs KEA.
- **Important** : Ajoutez une route pour le réseau 172.16.64.0/24 (n-user) via 172.16.0.254 (r-int) sur le serveur Stork (s-backup).
- **Redémarrage du service** : Après l'exécution du playbook, redémarrez le service **isc-stork-server.service** pour appliquer les modifications de configuration :
  ```bash
  systemctl restart isc-stork-server.service
