# Rôle zabbix-srv
***
Rôle zabbix-srv pour la supervision des différentes machines

## Tables des matières
    1. Que fait le rôle zabbix-srv ?
    2. Installer Zabbix
    3. Considérations

## Que fait le rôle zabbix-srv ?

Le rôle zabbix-srv se charge d'installer l'outil de supervision Zabbix sur la machine **s-mon**, avec l'utilisation du paquet `apache2` pour le serveur Web, `mariadb-server` pour la base de données interne de Zabbix et les paquets Zabbix après avoir ajouté les dépôts externes. Ce rôle a été "ré-écrit", dans le sens que la documentation est différente de son ancien état, tout comme le playbook a changé tout en gardant certains éléments d'avant.
Il faut noter que la présence d'une commande exécutée avec le module `ansible.builtin.raw` est normal, car la tentative d'utiliser le module `ansible.builtin.command` renvoie une erreur concernant gzip alors que MySQL est appelé.
Lors de l'exécution du playbook, les identifiants de la BDD sont créés avec le nom d'utilisateur "zabbix" et le mot de passe "password" pour s'y connecter.

Pour se connecter à Zabbix, le compte utilisateur se nomme "Admin" et le mot de passe est "zabbix", à l'adresse <http://s-mon/zabbix>.

## Installation de Zabbix

Une fois le playbook exécuté, on peut installer Zabbix en se rendant à l'adresse mentionnée plus haut. Pour cela, il est nécessaire de spécifier le langage qu'on veut utiliser. Ensuite, on peut spécifier le mot de passe du compte Zabbix dans le champ de texte approprié lors de l'étape concernant la connexion à la base de données. Une fois cela fait, on peut nommer le serveur Zabbix, et **(très important !)** choisir un fuseau horaire approprié. Avec tout cela de fait, Zabbix est désormais installé.

## Considérations

Sachant que l'ancien playbook fonctionnait avec une copie de la base de données de Zabbix avec des clés API, il est inutile de retenter une telle opération, sachant qu'un bond de la 6.4 (version de Zabbix lors de l'élaboration du playbook précédent) à la 7.2 (version actuelle) a nécessité un changement de la base de données, celle-ci n'étant plus compatible.

Avec cette perte des clés API, la mise en place de **gotify** sur Zabbix serait donc à refaire.

Pour mettre ce playbook à jour dans le futur, il faut *impérativement* aller voir le site de Zabbix pour récupérer l'URL à jour du  paquet .deb, tenter de changer les numéros au hasard ne marchera pas forcément ! Par exemple, entre la 6.4 et la 7.2, le nom du ficher a changé, tout comme l'URL et sa structure. Cela a donc causé des problèmes initialement, on ne peut donc pas être fainéant, à mon plus grand malheur...

*Modifications - ge*
